Package org.apache.sling.cms.core.internal.models

## Class CMSJobManagerImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.CMSJobManagerImpl

All Implemented Interfaces:
  `CMSJobManager`

    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class,
           adapters=org.apache.sling.cms.CMSJobManager.class)
    public class CMSJobManagerImpl
    extends Object
    implements CMSJobManager

Default implementation of the CMS Job Manager.

### Constructor Summary

Constructors
`CMSJobManagerImpl​(org.apache.sling.api.SlingHttpServletRequest request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `deleteJob​(String id)`
`Collection<ConfigurableJobExecutor>` `getAvailableJobs()`
`Collection<org.apache.sling.event.jobs.Job>` `getJobs()`
`org.apache.sling.event.jobs.Job` `getSuffixJob()`
`org.apache.sling.event.jobs.Job` `startJob()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMSJobManagerImpl

    public CMSJobManagerImpl​(org.apache.sling.api.SlingHttpServletRequest request)

### Method Detail

#### deleteJob

    public void deleteJob​(String id)

Specified by:
  `deleteJob` in interface `CMSJobManager`

#### getAvailableJobs

    public Collection<ConfigurableJobExecutor> getAvailableJobs()

Specified by:
  `getAvailableJobs` in interface `CMSJobManager`

#### getJobs

    public Collection<org.apache.sling.event.jobs.Job> getJobs()

Specified by:
  `getJobs` in interface `CMSJobManager`

#### getSuffixJob

    public org.apache.sling.event.jobs.Job getSuffixJob()

Specified by:
  `getSuffixJob` in interface `CMSJobManager`

#### startJob

    public org.apache.sling.event.jobs.Job startJob()

Specified by:
  `startJob` in interface `CMSJobManager`